# Developer Guide

This guide is intended for those who wish to:

<ul>
    <li><i class="fa fa-caret-right"></i> Contribute code to the RedKite CMS application</li>
    <li><i class="fa fa-caret-right"></i> Contribute code to the RedKite CMS ecosystem</li>
    <li><i class="fa fa-caret-right"></i> Contribute to the RedKite CMS documentation</li>
    <li><i class="fa fa-caret-right"></i> Contribute code to the RedKite CMS existing Blocks and Themes</li>
    <li><i class="fa fa-caret-right"></i> Create their own Blocks and Themes and share them on the RedKite CMS website</li>
</ul>

In order to work with RedKite CMS as a developer, it's recommended that:

<ul>
    <li><i class="fa fa-caret-right"></i> You know <b> php5</b> and <b> Object Oriented Programming</b>,  since RedKite CMS is written in php</li>
    <li><i class="fa fa-caret-right"></i> You know <b> Symfony2</b>,  since RedKite CMS is based on <b> Symfony2 components</b></li>
    <li><i class="fa fa-caret-right"></i> The RedKite CMS stylesheets are generated from <b> Sass</b> and compiled with <b> Compass</b>,  so you should have that tool installed on your system</li>
    <li><i class="fa fa-caret-right"></i> You're comfortable with <b> command-line programming</b></li>
    <li><i class="fa fa-caret-right"></i> You understand unit and functional tests and why they're important</li>
    <li><i class="fa fa-caret-right"></i> You know <b> PHPUnit</b>,  since the RedKite CMS unit tests are written for this testing suite</li>
    <li><i class="fa fa-caret-right"></i> You know <b> Behat</b>,  since the RedKite CMS functional tests are written using this tool</li>
    <li><i class="fa fa-caret-right"></i> You know <b> knockoutjs</b> and <b> jquery</b> frameworks because RedKite CMS frontend is based on those libraries</li>
</ul>

## RedKite CMS license

RedKite CMS 2 is released under the terms of **GPL2 License**. When you get your own RedKite CMS copy, you should receive your license copy with the source code.
    
If you like the sound of it, then continue reading to get started.

Section 1: Get the Source Code
------------------------------
Before you can get started, you'll need to get a copy of the RedKite CMS source code. This section explains how to get this, and also has some information about the source code structure.

[Go to source code section](source-code)

Section 2: Run the tests
------------------------
There are a lot of unit tests included with RedKite CMS to make sure that we're keeping 
the quality of the source codes at a high level. This section explains how to run the unit tests.

[Go to run the tests section](run-the-tests)

Section 3: Contributing
-----------------------
Once you've made changes that you want to share with the community, the next step is 
to submit those changes back via a pull request.

[Go to contributing section](contribute)

Found a typo? Found something wrong in this documentation? [Just fork and edit it !](https://github.com/redkite-labs/RedKiteCms/edit/master/docs/contribute/getting-started-contributing.md)